Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldPointSyms

Get the symmetries for a set of points in a field of a `PetscSection` under specific orientations.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldPointSyms(PetscSection section, PetscInt field, PetscInt numPoints, const PetscInt *points, const PetscInt ***perms, const PetscScalar ***rots)

Not Collective

## Input Parameters

- section - the section

- field - the field of the section

- numPoints - the number of points

- points - an array of size 2 * `numPoints`, containing a list of (point, orientation) pairs. (An orientation is an arbitrary integer: its interpretation is up to sym. Orientations are used by `DM`: for their interpretation in that context, see `DMPlexGetConeOrientation()`).

## Output Parameters

- perms - The permutations for the given orientations (or `NULL` if there is no symmetry or the permutation is the identity).

- rots - The field rotations symmetries for the given orientations (or `NULL` if there is no symmetry or the rotations are all identity).

## Notes

`PetscSectionSetFieldSym()` must have been previously called to provide the symmetries to the `PetscSection`

Use `PetscSectionRestoreFieldPointSyms()` when finished with the data

## See Also

PetscSection, `PetscSectionSym`, `PetscSectionGetPointSyms()`, `PetscSectionRestoreFieldPointSyms()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages